Subject: RE: Questions on unnumbered links

From: "Naidu, Venkata" <[email-masked]>
Date: Wed, 24 Oct 2001 14:27:50 -0400

Eric:

->     Maybe I missed something: I thought support for unnumbered links
-> needed to be added for GMPLS because there are problems with these
-> links in the general case.  
  
  I am not aware of the what are *all* the problems cause to move
  Unnumbered links from MPLS to GMPLS (apart from supporting parallel
  unnumbered links). If we closely look at the history of MPLS TE
  drafts (for example OSPF), I can see on/off kind of behavior. :) 

-> I was not aware that there are problems with
-> unnumbered links in the Ethernet, PPP, ATM and Frame Relay cases or
-> in basic signaling of MPLS explicit routes.

  Unnumbered Links doesn't make any sense to Ethernet (broadcast media).
  If IP is running on any L2 P2P technology doesn't need a unique
  identity for each interface (but traditional IP still carries).
  More over there are no problems w.r.t PPP, ATM etc. IP unnumbered 
  has been working for years, but in MPLS TE case the unique identity 
  for links in the topology still has some ambiguous grammar!

--Venkata Naidu

->     What exactly are the problems with using unnumbered links in the
-> specific cases defined for MPLS?
-> 
-> You wrote:
-> 
-> > Yakov Rekhter wrote:
-> > >
-> > >> 4: Is there any way for an ingress router to compute an ERO with
-> > >>    unnumbered links in it if GMPLS is not implemented?  
-> It appears
-> > >>    that support for unnumbered links was deleted from the TE
-> > >>    versions of OSPF and ISIS, and moved into the GMPLS 
-> versions of
-> > >>    those protocols, making the necessary information for ERO
-> > >>    computation unavailable in an MPLS environment.
-> > >
-> > > You certainly don't need to implement all the GMPLS routing and
-> > > signaling extensions in order to support unnumbered interfaces.
-> >
-> > Understood.  But if an ERO is to be auto-generated, and 
-> not manually
-> > entered, the box doing the computation needs to know the topology.
-> > Without the unnumbered extensions in OSPF/ISIS, any 
-> topology derived
-> > from routing will not distinguish multiple parallel 
-> unnumbered links.
-> > This will make it impossible to compute an ERO that uses 
-> the new ERO
-> > subobject to specify one such link.
-> >
-> > It wouldn't be very nice to require all of GMPLS in order 
-> to compute an
-> > ERO that specifies unnumbered links.
-> >
-> > I hope my explanation of this problem is clear.
-> >
-> > -- David
-> 
-> --
-> Eric Gray (mailto:[email-masked])
-> http://www.mindspring.com/~ewgray
-> 
-> 
->

---

From: Naiming Shen <[email-masked]>
Date: Wed, 24 Oct 2001 12:01:53 -0700

Venkata,

<...cut...>
 ]
 ]  Unnumbered Links doesn't make any sense to Ethernet (broadcast media).

Just a simple comment on this, unnumbered interface can also be applied
to broadcast media such as Ethernet if using the IGP extension of
p2p-over-lan. for detail please check out:

http://www.ietf.org/internet-drafts/draft-ietf-isis-igp-p2p-over-lan-00.txt

thanks.

 ]  If IP is running on any L2 P2P technology doesn't need a unique
 ]  identity for each interface (but traditional IP still carries).
 ]  More over there are no problems w.r.t PPP, ATM etc. IP unnumbered 
 ]  has been working for years, but in MPLS TE case the unique identity 
 ]  for links in the topology still has some ambiguous grammar!
 ]
 ]--Venkata Naidu
 ]

- Naiming